Install of python3-libs-3.6.8-13.e17.x86_64 conflicts with file from package phython36

General support questions
Post Reply
semoemimi
Posts: 1
Joined: 2021/07/28 22:59:09

Install of python3-libs-3.6.8-13.e17.x86_64 conflicts with file from package phython36

Post by semoemimi » 2021/07/28 23:06:53

Hello,

I'm a noobie when it comes to linux but I'm trying to run yum update on a system and it keeps giving me and error during the install phase and then it returns to prompt. Its a long error referencing something with the python and it repeats for several lines. Below is an example of a reading of the error.

" python36u-libs-3.6.7-1.ius.centos7.x86_64
file /usr/lib64/python3.6/dbm/__pycache__/ndbm.cpython-36.opt-2.pyc from install of python3-libs-3.6.8-13.el7.x86_64 conflicts with file from package python36u-libs-3.6.7-1.ius.centos7.x86_64
file /usr/lib64/python3.6/dbm/__pycache__/ndbm.cpython-36.pyc from install of python3-libs-3.6.8-13.el7.x86_64 conflicts with file from package python36u-libs-3.6.7-1.ius.centos7.x86_64
file /usr/lib64/python3.6/distutils/__pycache__/_msvccompiler.cpython-36.opt-1.pyc from install of python3-libs-3.6.8-13.el7.x86_64 conflicts with file from package python36u-libs-3.6.7-1.ius.centos7.x86_64
file /usr/lib64/python3.6/distutils/__pycache__/_msvccompiler.cpython-36.opt-2.pyc from install of python3-libs-3.6.8-13.el7.x86_64 conflicts with file from package python36u-libs-3.6.7-1.ius.centos7.x86_64
file /usr/lib64/python3.6/distutils/__pycache__/_msvccompiler.cpython-36.pyc from install of python3-libs-3.6.8-13.el7.x86_64 conflicts with file from package python36u-libs-3.6.7-1.ius.centos7.x86_64
file /usr/lib64/python3.6/distutils/__pycache__/archive_util.cpython-36.opt-2.pyc from install of python3-libs-3.6.8-13.el7.x86_64 conflicts with file from package python36u-libs-3.6.7-1.ius.centos7.x86_64

It appears I cant proceed with installing the updates on this system until I get resolve this error. Any help is greatly appreciated.

User avatar
jlehtone
Posts: 3668
Joined: 2007/12/11 08:17:33
Location: Finland

Re: Install of python3-libs-3.6.8-13.e17.x86_64 conflicts with file from package phython36

Post by jlehtone » 2021/07/29 05:48:51

When CentOS Linux 7 was originally released, it had python2 but no python3. (The python2 is a crucial system component.)
Later, third-party repositories (and Red Hat Software Collections) did package python3 for CentOS 7. The "IUS" is a third-party repo.
Eventually, python3 was packaged for base repo too. Obviously, it does not co-exist nicely with third-party version.

I would remove the 'python36u-libs'. That will probably remove most of the IUS python36 packages (that depend on python36u-libs).
Then I would install 'python3' (the base repo version).
Finally, I would reinstall programs that require some python3 and removed with python36u.

Post Reply

Return to “CentOS 7 - General Support”